PPA of ImageMagick for Precise?

Asked by Jerome Eteve on 2014-04-24

Hi there,

Is there a ppa of this I could use to upgrade my ImageMagick (including the -dev packages) on 12.04?

If not, how can I build such a thing?

Cheers,

Jerome.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu imagemagick Edit question
Assignee:
No assignee Edit question
Last query:
2014-04-24
Last reply:
2014-04-25

https://launchpad.net/ubuntu/+ppas?name_filter=imagemagick

Fill your boots. Be sure the PPA supports your release using the filter drop down.

What is in the different version that you need?

Jerome Eteve (jerome-eteve) said : #2

Hi,

I can't see any filter drop down there https://launchpad.net/ubuntu/+ppas?name_filter=imagemagick

I would need Image Magick V 6.8.7 or above, as I need to compilel https://metacpan.org/pod/Image::Magick

J.

You won't see the filter on that page. You need to check each of those links and THEN you will see the filter. Once you find a PPA with Imagemagick at the version you want you can add it and get the version

Manfred Hampl (m-hampl) said : #4

I see the following options for you:

1. search for a PPA that has the right version for your Ubuntu release (it might be that such version is not available at all)
or
2. download the unix binary file from the imagemagick home page and try installing (http://www.imagemagick.org/script/binary-releases.php#unix only available as rpm file, so you would have to use alien to convert that into a deb file first)
or
3. download the source from the imagemagick home page and compile yourself (http://www.imagemagick.org/script/install-source.php#unix and http://www.imagemagick.org/script/advanced-unix-installation.php )

Can you help with this problem?

Provide an answer of your own, or ask Jerome Eteve for more information if necessary.

To post a message you must log in.